Subject: Re: bug#5475: Archives with filenames with square brackets

From: Juri Linkov <[email-masked]>
Date: Mon, 01 Feb 2010 12:34:47 +0200

> Thanks.  I'm not sure we need to support 7z, I just tried it to see if
> other unzip programs expand wildcards by default like "unzip" does.

Do you mean we don't need to support 7z in 23.2 or at all?
Are there some problems with 7z that makes undesirable to support it
(maybe, it is not free software, or has an unsuitable license?)

Even though it's quite rarely used format, sometimes when I try to visit
a 7z archive in Emacs, I see only binary data.  At least, nowadays the
need to visit a 7z archive arises more often than for obsolete formats
like arc/lzh/zoo still supported by arc-mode.el.

-- 
Juri Linkov
http://www.jurta.org/emacs/